[fxruby-users] also had problem installing fxruby

lyle at knology.net lyle at knology.net
Wed Aug 17 17:45:01 EDT 2005

On Wed, 17 Aug 2005 15:06:10 -0600, Jacob Hanson <jacdx at jacobhanson.com> wrote :

> Now that you mention it, I'm having trouble getting fxruby going on
> fresh kubuntu installation.
> First, doing a gem install, it would act like it installed fine (no
> errors or anything, but the .so was no where to be found). I figured
> out that libfox1.2 wasn't installed, just 1.0, so I installed that
> apt. The next try yielded the same thing...no errors visible.
> Given the messages on the list today, I found the build log (mkmf.log) and
> apparently it couldn't find gcc. I got some basic devel packages
> installed and this time, it's actually building but there are hundreds
> of warnings. It did finally build fox12.so and it seems to work with
> my fxruby app.

Yes, compiling code is indeed a problem when you don't have a compiler
installed. I wouldn't have expected to see "hundreds" of warnings when
building FXRuby, though; it's developed on my Mac OS X box, also using the
GCC compiler (version 3.3 maybe?).

More information about the fxruby-users mailing list